## org.apache.cassandra.cql3.statements
Class AlterTableStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.SchemaAlteringStatement
                  org.apache.cassandra.cql3.statements.AlterTableStatement

All Implemented Interfaces:
  CQLStatement

    public class AlterTableStatement

extends SchemaAlteringStatement

Nested Class Summary
`static class` `AlterTableStatement.Type`

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary
`ColumnIdentifier` `columnName`
`AlterTableStatement.Type` `oType`
`java.lang.String` `validator`

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`AlterTableStatement(CFName name, AlterTableStatement.Type type, ColumnIdentifier columnName, java.lang.String validator, CFPropDefs cfProps)`

Method Summary
`void` `announceMigration()`
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement
`execute, prepare, prepareKeyspace, validate`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Field Detail

### oType

    public final AlterTableStatement.Type oType

### validator

    public final java.lang.String validator

### columnName

    public final ColumnIdentifier columnName

Constructor Detail

### AlterTableStatement

    public AlterTableStatement(CFName name,
                               AlterTableStatement.Type type,
                               ColumnIdentifier columnName,
                               java.lang.String validator,
                               CFPropDefs cfProps)

Method Detail

### checkAccess

    public void checkAccess(ClientState state)
                     throws InvalidRequestException

  Description copied from interface: `CQLStatement`
  Perform any access verification necessary for the statement.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`

### announceMigration

    public void announceMigration()
                           throws InvalidRequestException,
                                  ConfigurationException

  Specified by:
    `announceMigration` in class `SchemaAlteringStatement`
  Throws:
    `InvalidRequestException`
    `ConfigurationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation